
Robotics Service Bus - Bug #2674
portfile handling broken in case of mixing participants with and without this option:
11/08/2016 02:27 PM - J. Wienke

Status: Resolved Start date: 11/08/2016
Priority: Normal Due date:
Assignee: J. Moringen % Done: 100%
Category: Common Lisp Estimated time: 0.00 hour
Target version: rsb-0.16
Description

$ rsbag play --show-progress ready  --replay-strategy 'remote-controlled :uri "socket://localhost:0?server=1&portfile=-"'
/tides/arbitration-2016-11-07T13_49_13+00_00.tide socket://localhost:0?server=1WARNING:
Couldn't re-execute SBCL with proper personality flags (/proc isn't mounted? setuid?)
Trying to continue anyway.
WARNING:
   Failed to load Spread library: Unable to load any of the alternatives:
   ("libspread-without-signal-blocking.so" "libspread.so" "libspread.so.2" 
    "libspread.so.2.0" "libspread.so.1").
   Spread functionality will not be available.
Associated revisions
Revision 1fbd905f - 11/22/2016 07:32 PM - J. Moringen

Write each port-file exactly once in src/transport/socket/{util,transport}.lisp

fixes #2674

    -  src/transport/socket/util.lisp (written-port-files): new global
  variable; remembers which port-files have already been written
  (should-write-port-file?): new function; determine whether a given
  port-file has already been written for a given bus
  (maybe-write-port-file): use `should-write-port-file?'

    -  src/transport/socket/transport.lisp
  (transport-ensure-bus socket-transport string integer eql :server!):
  adapted to changes in `maybe-write-port-file'

    -  test/transport/socket/bus.lisp
  (test transport-socket-bus-root::server/automatic-port.2): new test;
  test multiple and mixed portfile options for the same bus
  (test transport-socket-bus-root::server/automatic-port.call):
  renamed server/automatic-port.{2 -> call}

History
#1 - 11/08/2016 03:11 PM - J. Moringen
- Project changed from RSBag to Robotics Service Bus
- Category set to Common Lisp
- Status changed from New to In Progress
- Assignee set to J. Moringen
- Target version set to rsb-0.16

#2 - 11/22/2016 07:40 PM - J. Moringen
- Status changed from In Progress to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:rsb-cl|1fbd905fcc8a9b74dc29a648573aa64e2e33bd01.

04/23/2024 2/2


